<?php
include("../include/session.php");

$userId = $_SESSION['username'];
date_default_timezone_set('Africa/Gaborone');
$entry_date = date("Y-m-d H:i:s", time());

$table_name = $_SESSION['db_prefix']."_employee_supply";
$emp_supply_query = "SELECT emp_supply_no  FROM $table_name ORDER BY emp_supply_no DESC LIMIT 1  ";
$emp_supply_result = mySQL_query($emp_supply_query);
$emp_supply_num = mysql_num_rows($emp_supply_result);
if ($emp_supply_num!=0) {
$emp_supply_no = mysql_result($emp_supply_result, 0, "emp_supply_no");
}
else {
	$emp_supply_no=0;
}
$emp_supply_no=$emp_supply_no+1;


$table_name = $_SESSION['db_prefix']."_employee_supply";
$supply_query = "INSERT INTO $table_name (emp_id, emp_supply_no, status, issue_date, issued_by, authorised_by ) VALUES ('".$_SESSION['emp_id']."', '".$emp_supply_no."', 'S', '".$_SESSION['issue_date']."',  '".$_SESSION['issued_by']."', '".$_SESSION['authorised_by']."' ) ";
execsql($supply_query);

$table_name = $_SESSION['db_prefix']."_employee_supply";
$supply_id_query = "SELECT emp_supply_no  FROM $table_name ORDER BY emp_supply_no DESC LIMIT 1  ";
$supply_id_result = mySQL_query($supply_id_query);
$emp_supply_no = mysql_result($supply_id_result, 0, "emp_supply_no");

	

$table_name3 = $_SESSION['db_prefix']."_employee_supply_lines_temp";
$items_query = "SELECT * FROM $table_name3 WHERE  user_name =  '".$_SESSION['username']."' ";
$items_result = mySQL_query($items_query);
$items_num = mysql_num_rows($items_result);

$message_text='';
$i=0;
while ($i<$items_num) {
   $store_item_id = mysql_result($items_result, $i, "store_item_id");
   $quantity = mysql_result($items_result, $i, "quantity");
   $price = mysql_result($items_result, $i, "price");
   

   $table_name4 = $_SESSION['db_prefix']."_employee_supply_lines";  
   $insert_item_query = "INSERT INTO $table_name4 (emp_id, emp_supply_no, status, store_item_id, quantity, price, issue_date ) VALUES ('".$_SESSION['emp_id']."', '".$emp_supply_no."', 'S', '".$store_item_id."', '".$quantity."', '".$price."', '".$_SESSION['issue_date']."' ) ";
execsql($insert_item_query);

    
   $table_name2 = $_SESSION['db_prefix']."_store_items";
   $stock_total_query = "SELECT item_name, subCategory, quantity, minimumStock FROM $table_name2 WHERE store_item_id = '".$store_item_id."'";
   $stock_total_result = mySQL_query($stock_total_query);
   $subCategory = mysql_result($stock_total_result ,0, "subCategory");
   $total_quantity = mysql_result($stock_total_result ,0, "quantity");
   $minimumStock = mysql_result($stock_total_result ,0, "minimumStock");
   $item_name = mysql_result($stock_total_result, 0, "item_name");
	
   $total_quantity = $total_quantity - $quantity;
      
   $stockQuery = "UPDATE $table_name2 SET quantity = '".$total_quantity."' , lastModDate = '".$_SESSION['issue_date']."' WHERE store_item_id = '".$store_item_id."'";
   	$stockResult = mySQL_query($stockQuery);
	$group_name=$subCategory;
	$supplied_to=$_SESSION['employee_name'];	
	
	if ($total_quantity<=$minimumStock) {
	   	if (($subCategory!='') AND ($subCategory!='') AND ($subCategory!='') AND ($subCategory!='')) {
			    $subCategory='Other';
		}		
		include('../include/min_stock_alert.php');
		
		//$table_name = $_SESSION['db_prefix']."_min_stock_report";
//		$minimum_query = "INSERT INTO $table_name (store_item_id, stock_date, supplied, new_stock_level, report, supplied_to, supply_no ) VALUES ('".$store_item_id."', '".$entry_date."', '".$quantity."', '".$total_quantity."', 'minimum stock', 'Employee supply', '".$emp_supply_no."' ) ";
//		execsql($minimum_query);
		
		$message_text = $message_text.'<tr><td>'.$item_name.'</td><td>'.$group_name.'</td><td align=center>'.$total_quantity.'</td><td align=center>'.$minimumStock.'</td></tr>';
	}
	
	$table_name = $_SESSION['db_prefix']."_tracking_store";
	$trackingQuery = "INSERT INTO $table_name (entry_date, user_name, action, details_1, details_2, details_3, details_4) VALUES ('".$entry_date."' ,'".$_SESSION['username']."', '16', '".$store_item_id."', '".$_SESSION['emp_id']."' ,'".$emp_supply_no."','' )";
	$trackingResult = mySQL_query($trackingQuery);
	

$table_name2 = $_SESSION['db_prefix']."_item_history";	
$historyQuery = "INSERT INTO $table_name2 (store_item_id, entry, reference, reference_2, reference_3, quantity, total, price, date, entryDate, userId) VALUES ('".$store_item_id."', '14', '".$_SESSION['emp_id']."','".$emp_supply_no."', '".$emp_supply_no."', '".$quantity."', '".$total_quantity."', '".$price."', '".$_SESSION['issue_date']."','".$entry_date."','".$_SESSION['username']."')";
$historyResult = mySQL_query($historyQuery);


$i++;
}
	
if ($message_text!='') {
	   include('../include/min_stock_alert_email.php');
	}	


$table_name = $_SESSION['db_prefix']."_employee_supply_lines_temp";
$delete2_query = "DELETE FROM $table_name WHERE  user_name =  '".$_SESSION['username']."' "; 
execsql($delete2_query);

	
	if (isset($_GET['new_button']) )
	   {
		 $action='supply_employeeWiz0.php';
	   }
		 
	if (isset($_GET['finish_button']) )
	  {
		$action='employee_supply.php?emp_supply_no='.$emp_supply_no;
	  }
	
$today = date("Y-m-d");
 
     $_SESSION['emp_id'] = '';
	 $_SESSION['employee_name'] = '';	
	 $_SESSION['del_note'] = '';	
     $_SESSION['issue_date']  = date("Y-m-d");
	 $_SESSION['purchase_id'] = '';
	 $_SESSION['purchase_order'] = '';
	 $_SESSION['all_total'] = '';
	 
	 $_SESSION['authorised_by' ]= '';
	 $_SESSION['issued_by'] = '';
	 
	 $_SESSION['store_item_id'] = '';
	 $_SESSION['store_item_name'] = '';
	 
	 $_SESSION['purchase_line_id'] = '';
	 $_SESSION['sup_name'] = '';
	 $_SESSION['total'] = '';
	 
	 $_SESSION['value'] = '';
	 
	 $_SESSION['stock_error']=0;
	
?>

<script language="javascript" type="text/javascript">
        
	  window.location="<?php echo $action?>";
        
       </script>

